<?php 
	if (!defined('_PS_VERSION_'))
	exit;
	class ottemcontrol extends Module{
	
		public function __construct(){
			$this->name = 'ottemcontrol';
			$this->tab = 'Home';
			$this->version = 1.0;
			$this->need_instance = 0;
	 
			parent::__construct();
	 
			$this->displayName = $this->l('Ot Theme Control Panel');
			$this->description = $this->l('Ot Theme Control Panel');
		}
		
		public function getContent(){
			$output = '<h2>'.$this->displayName.'</h2>';
			if (Tools::isSubmit('submit') )
			{
				
				$_width = (Tools::getValue('width'));	
				Configuration::updateValue('width',$_width);

				$_layout = (Tools::getValue('layout'));	
				Configuration::updateValue('layout',$_layout);

				$_custom_tpl = (Tools::getValue('custom_tpl'));	
				Configuration::updateValue('custom_tpl',$_custom_tpl);
				
				$LayoutStyle = (Tools::getValue('LayoutStyle'));	
				Configuration::updateValue('Otcontrol_LayoutStyle',$LayoutStyle);
			}
			return $output.$this->displayForm();
		}
		
		public function displayForm(){
			$custom_tpl = Configuration::get('custom_tpl', 'off');
			$custom_layout = Configuration::get('layout', 'leftContent');
			$output = '
			<form action="'.$_SERVER['REQUEST_URI'].'" method="post">
			<fieldset><legend>'.$this->l('Settings').'</legend>
			<label>'.$this->l('Custom Template').'</label>
			<div class="margin-form">
				<p>
				<label class="control_on">
				<input type="radio" name="custom_tpl" value="on" '.($custom_tpl == 'on' ? 'checked="checked"' : '').' />
				On</label>
				<label class="control_off">
				<input type="radio" name="custom_tpl" value="off" '.($custom_tpl == 'off' ? 'checked="checked"' : '').' default="1" />
				OFF</label>
				</p>
			</div>
			<label>'.$this->l('Template Width').'</label>
			<div class="margin-form">
				<input name="width" site="30" value="'.Tools::getValue('width', Configuration::get('width')).'" />
			</div>
			<label>'.$this->l('Default Layout Type').'</label>
			<div class="margin-form">
				<select name="layout" style="width:150px;" default="contentRight">
					<option value="leftcontent" '.($custom_layout == 'leftcontent' ? 'selected="selected"' : '').'>'.$this->l("Left - Content").'</option>
					<option value="contentRight" '.($custom_layout == 'contentRight' ? 'selected="selected"' : '').'>'.$this->l("Content - Right").'</option>
				</select>
			</div>
			
			<input type="submit" name="submit" value="'.$this->l('Update').'" class="button" />
			</fieldset>
			</form>
			
			<style>
				label.control_on, label.control_off {
					float: none;
					text-align: left;
					width: auto;
				}
				
			</style>
			';
			return $output;
		}
		
		
		public function install(){
				if(!$this->_createBackup() OR !$this->uploaddata()){
					return false;
				}
			if (parent::install() == false)
				return false;
			return true;
		}

		private function _createBackup() {
			@copy(_PS_MODULE_DIR_ . $this->name . '/FrontController.php', _PS_ROOT_DIR_ . '/override/classes/controller/FrontController.php');
			return true;
		}
		public function uploaddata(){
					$hooked1 = Db::getInstance()->ExecuteS('SELECT * FROM `'._DB_PREFIX_.'hook` WHERE name = "banner"');
					if (!is_array($hooked1) || sizeof($hooked1) == 0)
					Db::getInstance()->Execute('INSERT INTO `'._DB_PREFIX_.'hook` (
					`id_hook` ,`name` ,`title` ,`description` ,`position`)
					VALUES (NULL , "banner", "bannerHome", "banner page", "1");');
					
					$hooked2 = Db::getInstance()->ExecuteS('SELECT * FROM `'._DB_PREFIX_.'hook` WHERE name = "topContent"');
					if (!is_array($hooked2) || sizeof($hooked2) == 0)
					Db::getInstance()->Execute('INSERT INTO `'._DB_PREFIX_.'hook` (
					`id_hook` ,`name` ,`title` ,`description` ,`position`)
					VALUES (NULL , "topContent", "TopContent", "Top Content", "1");');
					
					$hooked3 = Db::getInstance()->ExecuteS('SELECT * FROM `'._DB_PREFIX_.'hook` WHERE name = "bottomContent"');
					if (!is_array($hooked3) || sizeof($hooked3) == 0)
					Db::getInstance()->Execute('INSERT INTO `'._DB_PREFIX_.'hook` (
					`id_hook` ,`name` ,`title` ,`description` ,`position`)
					VALUES (NULL , "bottomContent", "bottomContent", "Bottom Content", "1");');
					
					$hooked4 = Db::getInstance()->ExecuteS('SELECT * FROM `'._DB_PREFIX_.'hook` WHERE name = "bottom"');
					if (!is_array($hooked4) || sizeof($hooked4) == 0)
					Db::getInstance()->Execute('INSERT INTO `'._DB_PREFIX_.'hook` (
					`id_hook` ,`name` ,`title` ,`description` ,`position`)
					VALUES (NULL , "bottom", "Bottom", "Bottom", "1");');
					
					$hooked5 = Db::getInstance()->ExecuteS('SELECT * FROM `'._DB_PREFIX_.'hook` WHERE name = "menuNav"');
					if (!is_array($hooked5) || sizeof($hooked5) == 0)
					Db::getInstance()->Execute('INSERT INTO `'._DB_PREFIX_.'hook` (
					`id_hook` ,`name` ,`title` ,`description` ,`position`)
					VALUES (NULL , "menuBar", "menuBar", "menuBar", "1");');
					
					$hooked5 = Db::getInstance()->ExecuteS('SELECT * FROM `'._DB_PREFIX_.'hook` WHERE name = "topbox"');
					if (!is_array($hooked5) || sizeof($hooked5) == 0)
					Db::getInstance()->Execute('INSERT INTO `'._DB_PREFIX_.'hook` (
					`id_hook` ,`name` ,`title` ,`description` ,`position`)
					VALUES (NULL , "topbox", "topbox", "topbox", "1");');
					return true;
			}
		public function uninstall(){
			if (!parent::uninstall())
			Db::getInstance()->Execute('DELETE FROM `'._DB_PREFIX_.'ottemcontrol`');
			parent::uninstall();
		}
		
	}


?>